#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#include <stdio.h>

void showthetime(GtkWidget *);
void display_popup(void);
void show_about_window(void);

extern GtkWidget *aboutwindow;
extern GtkWidget *menu1;
extern int half_size, prevmin, twentyfourhourmode;

void
on_button2_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
  gtk_main_quit();
}





void
on_fixed1_notify                       (GObject         *gobject,
                                        gpointer         user_data)
{
  showthetime(GTK_WIDGET(gobject));

}


void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gtk_main_quit();
}


void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  show_about_window();
}




gboolean
on_TubeClock_button_press_event        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data)
{
  display_popup();
 return 0;
}


void
on_half_size1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  GtkWidget *half_size1 = 
    lookup_widget(GTK_WIDGET(menuitem), "half_size1");
  if ( gtk_check_menu_item_get_active(GTK_CHECK_MENU_ITEM(half_size1))) {
    printf("Half size active\n");
    half_size=1;
    prevmin = -1;
  } else {
    printf("Half size not active\n");
    half_size=0;
    prevmin = -1;
  }
}
 




void
on_about_dismiss_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
  gtk_widget_hide(aboutwindow);
}


void
on_do24hour_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  GtkWidget *do24hour = 
    lookup_widget(GTK_WIDGET(menuitem), "do24hour");
  if ( gtk_check_menu_item_get_active(GTK_CHECK_MENU_ITEM(do24hour))) {
    printf("24-hour mode active\n");
    twentyfourhourmode=1;
    prevmin = -1;
  } else {
    printf("24-hour mode not active\n");
    twentyfourhourmode=0;
    prevmin = -1;
  }

}



